This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 693692 - Ericsson F3507g doesn't recover from resume
Ericsson F3507g doesn't recover from resume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 06:59 EDT by Felix Kaechele
Modified: 2012-07-20 19:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 17:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ModemManager log of failed connections and one succeeded connection (32.47 KB, text/x-log)
2011-04-05 06:59 EDT, Felix Kaechele
no flags Details

  None (edit)
Description Felix Kaechele 2011-04-05 06:59:50 EDT
Created attachment 489961 [details]
ModemManager log of failed connections and one succeeded connection

I attached a log (with my IMEI redacted) that I annotated with XML style comments ;) IMHO it pretty much speaks for itself, nevertheless here's a short description of the problem, too:

Description of problem:
After resuming from suspend the Ericsson F3507g that is in my ThinkPad X200 fails to recover to normal state. It is required to flip the wireless killswitch twice (and waiting for some seconds in between) before a WWAN connection can be established.

Version-Release number of selected component (if applicable):
ModemManager-0.4-4.git20100720.fc14.x86_64
NetworkManager-0.8.3.998-2.fc14.x86_64

How reproducible:
On every resume
Sometimes after a fresh reboot, too

Steps to Reproduce:
1. Try to connect to the WWAN -> it fails
2. Trigger killswitch
3. Repeat 1.
4. Repeat 2.
5. Try connecting again -> it succeeds
  
Actual results:
A WWAN connection cannot be established as the WWAN modem doesn't seem to be ready before the impatient MM is pestering it with commands

Expected results:
A WWAN connection can established at any given time

Additional info:
SIM Card used: o2 Germany with PIN security disabled
Comment 1 Dan Williams 2011-08-02 12:42:47 EDT
So the ericsson comes back from resume and asks for the "PH-SIM PIN" which is the "phone to sim pin" which locks the phone to a specific SIM card.  Have you enabled the phone-to-sim PIN before?  If not, it may indicate the module is simply not completely initialized yet and the SIM hasn't had time to boot up and communicate with the module.

First, I'd recommend updating to the latest ModemManager in F14 updates.

Then after resume, wait about 30 seconds, then:

killall -TERM modem-manager

and wait until the modem appears in NM's menu again.  Then try connecting and try posting the modem-manager debug logs here.  Basically, lets wait a bit after resume to see if the modem and SIM can start talking to each other again.
Comment 2 Dan Williams 2012-07-20 17:57:39 EDT
Closing as the bug has been in NEEDINFO state for almost a year.
Comment 3 Felix Kaechele 2012-07-20 19:07:31 EDT
Problem also doesn't persist.

Note You need to log in before you can comment on or make changes to this bug.